Package ru.bgcrm.model.param.address

# Class AddressCity

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.param.address.AddressBase
ru.bgcrm.model.param.address.AddressCity

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class AddressCity extends AddressBase

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressCity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressCountry`
  `getAddressCountry()`
  `int`
  `getCountryId()`
  `void`
  `setAddressCountry(AddressCountry value)`
  `void`
  `setCountryId(int value)`
  `AddressCity`
  `withCountryId(int value)`
  `AddressCity`
  `withTitle(String value)`

  ### Methods inherited from class ru.bgcrm.model.param.address.AddressBase

  `getConfig, setConfig, setConfig`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddressCity

    public AddressCity()

- ## Method Details

  - ### getCountryId

    public int getCountryId()

  - ### setCountryId

    public void setCountryId(int value)

  - ### withCountryId

    public AddressCity withCountryId(int value)

  - ### getAddressCountry

    public AddressCountry getAddressCountry()

  - ### setAddressCountry

    public void setAddressCountry(AddressCountry value)

  - ### withTitle

    public AddressCity withTitle(String value)